image: maven:latest

variables:
  AWS_DEFAULT_REGION: ap-south-1 # The region of our S3 bucket
  BUCKET_NAME: ocrbuckets         # Your bucket name
  
build1:
  stage: build
  script:
    - mvn -B verify
  after_script:
    - mkdir target
    - cp /builds/jegan.ponnusamy/cicd/target/demo.war target

  artifacts:
    expire_in: 1 days
    paths:
      - target/*.war
      
deploys3:
  image: "python:latest"  # We use python because there is a well-working AWS Sdk
  stage: deploy
  dependencies:
    - build1      # We want to specify dependencies in an explicit way, to avoid confusion if there are different build jobs
  before_script:
    - pip install awscli # Install the SDK
  script:
    - aws s3 cp ./target s3://${BUCKET_NAME}/ --recursive --include "*.war"
  
  only:
    - master